/**
 * 湖北省农业厅
 */
const INTERFACR_URL = "http://113.57.190.21:83"; //接口地址
const WEBSITE_URL = "http://nyt.hubei.gov.cn"; //湖北省农业厅网站地址

const NET_TIMEOUT = 10000; //网络请求超时,10秒
const NET_ERROR = "网络连接错误，请稍后再试！"; //网络连接错误消息

/**
 * 网站数据
 */
const WCM_LIST_IMG = INTERFACR_URL + "/developer/wcm/wcmListImg"; //轮播图
const WCM_LIST_CAT_ID = INTERFACR_URL + "/developer/wcm/wcmListcatId"; //根据栏目Id查询详情列表（无子栏目）
const FIND_CS_INFO_CATE_CHILD_LIST = INTERFACR_URL + "/developer/wcm/findCsInfoCateChildList"; //根据栏目Id查询详情列表（有子栏目）
const GET_ARTICLE = INTERFACR_URL + "/developer/wcm/getArticle"; //根据栏目信息详情

/**
 * 信息公开
 */
const FIND_CHIRD_CATEGORY_LIST = INTERFACR_URL + "/developer/wcm/findChirdCategoryList"; //信息公开获取子栏目
const FIND_CS_G_K_INFO_CATE_CHILD_LIST = INTERFACR_URL + "/developer/wcm/findCsGKInfoCateChildList"; //信息公开（有子事项）
const WCM_G_K_LIST_CAT_ID = INTERFACR_URL + "/developer/wcm/wcmGKListcatId"; //信息公开（无子项）
const GET_CS_G_K_INFO = INTERFACR_URL + "/developer/wcm/getCsGKInfo"; //信息公开表头信息

/*
 * 综合查询
 */
const FIND_WCM_INFO_LIST = INTERFACR_URL + "/developer/wcm/findWcmInfoList";

/**
 * 查询服务
 */
const FIND_WCM_LIST_JGGS = INTERFACR_URL + "/developer/wcm/findWcmListJGGS"; //结果公示
const FIND_WCM_DETAIL_JGGS = INTERFACR_URL + "/developer/wcm/findWcmDetialJGGS"; //结果公示详情

/**
 * 办事指南
 */
const FIND_BY_BSFW_ID = INTERFACR_URL + "/developer/wcm/findByBsfwId" //指南详情

// 自定义函数
var Tools = {
    /*
     * 补全资源url地址
     * @param thumbUrl {string} - url地址
     */
    fullThumbUrl: function (thumbUrl) {
        var regUrl = /http(s)?:\/\/([\w-]+\.)+[\w-]+(\/[\w- .\/?%&=]*)?/;

        if (thumbUrl && !regUrl.test(thumbUrl)) {
            return WEBSITE_URL + thumbUrl;
        } else {
            return thumbUrl;
        }
    },

    /*
     * 替换<br>标签
     * @param {string} str - url地址
     */
    replaceLabelBr: function (str) {
        var regBrackets = /\<br\>/g;

        if (str) {
            return str.replace(regBrackets, '');
        } else {
            return null;
        }
    }
}

// 全局过滤器
/*
 * yyyy-MM-dd HH-mm-ss转换成yyyy-MM-dd
 * @param {string} date - yyyy-MM-dd HH-mm-ss
 * @returns {string} - yyyy-MM-dd
 */
Vue.filter('formatDate', function (date) {
    if (date) {
        var date = new Date(date.replace(/-/g, '/'));
        var myYear = date.getFullYear();
        var myMonth = date.getMonth() + 1;
        var myDate = date.getDate();

        myMonth = myMonth < 10 ? "0" + myMonth : myMonth;
        myDate = myDate < 10 ? "0" + myDate : myDate;

        var formatDate = myYear + "-" + myMonth + "-" + myDate;
        return formatDate;
    } else {
        return null;
    }
});

/*
 * 设置source默认值
 * @param {string} str - source值
 */
Vue.filter('fullSource', function (str) {
    var str = str.replace(/(^\s*)|(\s*$)/g, "");

    if (str) {
        return str;
    } else {
        return "湖北省农业厅";
    }
});


/*
 * 补全资源url地址
 * @param {string} thumbUrl - url地址
 */
Vue.filter('fullThumbUrl', function (thumbUrl) {
    var regUrl = /http(s)?:\/\/([\w-]+\.)+[\w-]+(\/[\w- .\/?%&=]*)?/;

    if (thumbUrl && !regUrl.test(thumbUrl)) {
        return WEBSITE_URL + thumbUrl;
    } else {
        return thumbUrl;
    }
});

/*
 * 获取括号前的内容
 * @param {string} str - url地址
 */
Vue.filter('interceptBrackets', function (str) {
    var regBrackets = /\（(.+?)\）|\((.+?)\)/g;

    if (str) {
        var strArr = str.match(regBrackets);

        if (strArr) {
            return str.substring(0, str.indexOf(strArr[strArr.length - 1]));
        } else {
            return null;
        }
    } else {
        return null;
    }
});

/**
 * 截取括号里面的内容
 * @param {string} str - url地址
 */
Vue.filter('interceptBracketsContent', function (str) {
    var regBrackets = /\（(.+?)\）|\((.+?)\)/g;

    if (str) {
        var strArr = str.match(regBrackets);

        if (strArr) {
            return strArr[strArr.length - 1].replace('（', '').replace('）', '').replace('(', '').replace(')', '');
        } else {
            return null;
        }

    } else {
        return null;
    }
});
